Skip to main content
GET
/
api
/
auth
/
me
Get current user
curl --request GET \
  --url https://api.example.com/api/auth/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "name": "<string>",
  "role": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "auth_provider": "<string>",
  "subscription": {
    "plan_tier": "<string>",
    "status": "<string>",
    "trial_ends_at": "2023-11-07T05:31:56Z",
    "current_period_end": "2023-11-07T05:31:56Z"
  },
  "onboarding_completed_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Response schema for current user endpoint.

id
string<uuid>
required
email
string
required
name
string | null
required
role
string
required
created_at
string<date-time>
required
auth_provider
string | null
subscription
SubscriptionSummary · object

Compact subscription info embedded in UserMe.

onboarding_completed_at
string<date-time> | null